/******************************************************************************
 * JibsWindow - Window Listener for close events
 * $Id: JibsWindow.java,v 1.3 2011/06/01 01:23:17 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: JibsWindow.java,v $
 * Revision 1.3  2011/06/01 01:23:17  dick
 * Tell jibsServer to shutdown any resources.
 *
 * Revision 1.2  2011/05/31 14:50:48  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.gui;

import net.sourceforge.jibs.server.JibsServer;

import org.apache.log4j.Logger;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

/** Window Listener for close events
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.3 $ <br> $Date: 2011/06/01 01:23:17 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/gui/JibsWindow.java">cvs JibsWindow.java</a>
 */
public class JibsWindow implements WindowListener, ActionListener {
	private static Logger logger = Logger.getLogger(JibsWindow.class);
	private JibsServer jibsServer;

	public JibsWindow(JibsServer jibsServer) {
		this.jibsServer = jibsServer;
	}

	public void windowOpened(WindowEvent e) {
	}

	public void windowClosing(WindowEvent e) {
		jibsServer.stopServerMenuItemActionPerformed(null);
		jibsServer.shutdown();
		logger.info("Server exited.");
		System.exit(0);
	}

	public void windowClosed(WindowEvent e) {
	}

	public void windowIconified(WindowEvent e) {
	}

	public void windowDeiconified(WindowEvent e) {
	}

	public void windowActivated(WindowEvent e) {
	}

	public void windowDeactivated(WindowEvent e) {
	}

	public void actionPerformed(ActionEvent e) {
	}
}
