/******************************************************************************
 * JibsLauncher - Startup without a window?
 * $Id: JibsLauncher.java,v 1.3 2011/06/11 19:18:36 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: JibsLauncher.java,v $
 * Revision 1.3  2011/06/11 19:18:36  dick
 * Stop passing jibsServer all around.  If anybody wants it, they can do JibsServer.getInstance().
 *
 * Revision 1.2  2011/05/31 15:25:49  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.util;

import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;

import net.sourceforge.jibs.server.JibsConfiguration;

/** Startup without a window?  It calls a .bat file to restart jIBS.  
 * Not supported in the .bucko versions.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.3 $ <br> $Date: 2011/06/11 19:18:36 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/util/JibsLauncher.java">cvs JibsLauncher.java</a>
 */
public class JibsLauncher {
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		//JibsServer jibsServer = new JibsServer(args[0]);
		JibsLauncher jibsLauncher = new JibsLauncher();
		jibsLauncher.doIt(args[0]);
	}
	private void doIt(String fileName) {
		int exitValue = 11;
		JibsConfiguration fConf = new JibsConfiguration(fileName);
		String restartCmd = fConf.getResource("RestartCmd");
		while (exitValue>10) {
			try {
				Runtime rt      = Runtime.getRuntime();
				Process process = rt.exec(restartCmd);
				exitValue       = process.waitFor();
				System.err.println("jIBS exited with code:"+exitValue);
				if (exitValue>10) {
					SimpleDateFormat sf = new SimpleDateFormat("mm:ss");
					Date             dt = new Date(Long.valueOf(exitValue));
					String           s  = sf.format(dt);
					System.out.println("Restarting jIBS in "+s+" minutes.");
					Thread.sleep(exitValue);
				}
			} catch (InterruptedException e) {
				e.printStackTrace();
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
	}
}